#ifndef _SWIM_STROKE
#define _SWIM_STROKE


#include "angleStroke.h"


class swimStroke : public angleStroke {
	
	public:
	
		swimStroke();
		
		
		
		
		void 		update();
		void 		start();
		void 		draw();
		bool 		bSwim;
		
		float 		lengthSectionTarget;
		
		ofVec3f 	centroid;
		ofVec3f 	prevCentroid;
		bool 		bFirstFrame;
		
		ofVec3f 	boundingBoxBottom;
		ofVec3f 	boundingBoxTop;
		
		ofSoundPlayer	samp;
		
		float 			overallTargetLength;
		
};

#endif
